
From: Paul Mundt <paul.mundt@nokia.com>

This adds the new syscalls (waitid/setaltroot/add_key/request_key/keyctl).

Signed-off-by: Paul Mundt <paul.mundt@nokia.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/sh/kernel/entry.S  |    5 +++++
 25-akpm/include/asm-sh/unistd.h |    7 ++++++-
 2 files changed, 11 insertions(+), 1 deletion(-)

diff -puN arch/sh/kernel/entry.S~sh-syscall-updates arch/sh/kernel/entry.S
--- 25/arch/sh/kernel/entry.S~sh-syscall-updates	2004-10-26 00:58:25.155595888 -0700
+++ 25-akpm/arch/sh/kernel/entry.S	2004-10-26 00:59:48.430936112 -0700
@@ -1140,5 +1140,10 @@ ENTRY(sys_call_table)
 	.long sys_mq_timedreceive       /* 280 */
 	.long sys_mq_notify
 	.long sys_mq_getsetattr
+	.long sys_ni_syscall	/* Reserved for kexec */
+	.long sys_waitid
+	.long sys_add_key		/* 285 */
+	.long sys_request_key
+	.long sys_keyctl
 
 /* End of entry.S */
diff -puN include/asm-sh/unistd.h~sh-syscall-updates include/asm-sh/unistd.h
--- 25/include/asm-sh/unistd.h~sh-syscall-updates	2004-10-26 00:58:25.156595736 -0700
+++ 25-akpm/include/asm-sh/unistd.h	2004-10-26 01:00:02.332822704 -0700
@@ -290,8 +290,13 @@
 #define __NR_mq_timedreceive    (__NR_mq_open+3)
 #define __NR_mq_notify          (__NR_mq_open+4)
 #define __NR_mq_getsetattr      (__NR_mq_open+5)
+#define __NR_sys_kexec_load	283
+#define __NR_waitid		284
+#define __NR_add_key		285
+#define __NR_request_key	286
+#define __NR_keyctl		287
 
-#define NR_syscalls 283
+#define NR_syscalls 288
 
 /* user-visible error numbers are in the range -1 - -124: see <asm-sh/errno.h> */
 
_
